function cauchy_problem(Nh)
% cauchy_problem: solves the Cauchy problem by the Euler method
% Calling instruction: cauchy_problem(Nh)
% Input: Nh = number of time steps
% Output: graphic window

% define the data of the problem
t0=0; tf=10; % endpoints of time interval
y0=0;        % initial condition
f=@(t,y)(cos(t)-y)./(t+1); % function f(t,y)
% compute the numerical solution by the Euler method
[tn,un]=euler(f,t0,tf,y0,Nh); 
% plot the numerical solution
figure(1);  
plot(tn,un,'.','Markersize',16); grid on; hold on
xlabel('t'); ylabel('y(t)')
