function [p,k]=compute_pagerank(G,epsilon,kmax)
% compute_pagerank: computes the PageRanks
% Calling instruction: [p,k]=compute_pagerank(G,epsilon,kmax) 
% Input: G =  Google matrix associated with the graph
%        epsilon = tolerance for the stopping test
%        kmax =  maximum number of iterations
% Output: p =  PageRank vector
%         k = number of iterations made
N=length(G); % computes the number of nodes in the graph
p0=ones(N,1)/N; % initialises the vector p0
E=epsilon+1; % initialises the variable E for the stopping test
k=0; % initialises the iteration counter
while k< kmax && E>epsilon % iterations
    k=k+1; % increases the iteration counter
    p=G*p0; % computes p^{k}=G* p^{k-1}
    E=max(abs(p-p0)./p); % computes the error estimator E
    p0=p; % updates the vector p0 for the next step
end
