% script data_grid_like_bed 
% it defines the data and matrix of the graph for 
% problem "A grid-like bed"
L=0.5; % capillary length (mm)
r=3e-3; % capillary radius (mm)
mu=2e-3; % blood viscosity g/(mm*s) 
pa=40; pv=15; % pressure in arteriole and venule (mmHg)
R=8*mu/(pi*r^4); % resistance in the capillaries g/(mm^5*s) 
Area=pi*r^2; % area of capillary cross-section
if ~(exist('nc','var')) % checks that nc is defined
    nc=4; % number of capillaries along each direction of the graph
end
m=nc+1; % m = number of nodes along each direction
% G = matrix of the graph encoding capillary lengths
n=m*m+2;  G=zeros(n);
G(1,2)=L; G(2,1)=G(1,2);
for ir=1:m
    for ic=1:m
        i=(ir-1)*m+ic+1;
    if ic <= m-1
        G(i,i+1)=L; G(i+1,i)=G(i,i+1);
    end
    if ir <= m-1
        G(i,i+m)=L; G(i+m,i)=G(i,i+m);
    end
    end
end
G(n-1,n)=L; G(n,n-1)=G(n-1,n);
disp('The data of problem "A grid-like bed" have been defined')
