function [det]=det23(A)
% det23: computes the determinant of a 2x2 or 3x3 matrix
% Calling instruction:  d=det23(A)
% Input:  A   = matrix 
% Output: det = the determinant of A, only if A is 2x2 or 3x3
%               otherwise a message of error is printed
[n,m]=size(A);  % computes the size of A
if n==m  %  det(A) is defined only if A is square
% check the dimension of A and apply the formula
  if n==2  % 2x2 case
    det = A(1,1)*A(2,2)-A(2,1)*A(1,2);
  elseif n == 3  %  3x3 case
    det = A(1,1)*(A(2,2)*A(3,3)-A(2,3)*A(3,2))...
          -A(1,2)*(A(2,1)*A(3,3)-A(2,3)*A(3,1))...
          +A(1,3)*(A(2,1)*A(3,2)-A(3,1)*A(2,2));
  else % means the size of A is larger than 3
    disp('This function operates only with 2x2 or 3x3 matrices');
    det=[ ];
  end
else
  disp('The matrix is not square');
  det=[ ];
end

