% script exercise_dolphins1
t0=2017.5; tf=2025.5; % endpoints of the time interval
y0=100;        % initial condition
f=@(t,y)0.06*y; % function f(t,y)
yex=@(t)y0*exp(0.06*(t-t0)); % exact solution
H=[0.1, 0.05, 0.01, 0.005, 0.001]; % vector of time steps
Err=[ ];
for h=H
Nh=fix((tf-t0)/h); % computes Nh
% compute the numerical solution by the Euler method
[tn,un]=euler(f,t0,tf,y0,Nh);
yn=yex(tn); % evaluates the exact solution at the grid nodes
err=max(abs(un-yn)); % computes the error for the given h
Err=[Err, err]; % appends the above error at the end of vector Err
end
% plot the behaviour of errors
figure(1); clf % selects and wipes the graphical window
loglog(H,Err,'Linewidth',3); % plots errors in function of h
grid on; hold on; % plots the grid and keeps the graph
loglog(H,H,'Linewidth',3); % plots the line y=h
xlabel('h','Fontsize',18);
ylabel('errors','Fontsize',18)
le=legend('Euler error','h'); % defines the legend
set(le,'Fontsize',18,'Location','Northwest')
set(gca,'Fontsize',18)
