% script exercise_dolphins2
t0=2017.5; tf=2025.5; % endpoints of the time interval
y0=100; % initial condition
h=1/12;  % define the step h
Nh=fix((tf-t0)/h); % computes Nh
% solve the problem for the natural dynamics
f1=@(t,y)0.06*y; % function f(t,y) of the natural dynamics
% compute the numerical solution with the Euler method
[tn1,un1]=euler(f1,t0,tf,y0,Nh);
% solve the problem for the natural dynamics with external harvest
b=@(t)-0.03*(2-exp(-5*(sin(t*pi))^2)); % defines b(t)
% function f(t,y) for the natural dynamics with external harvest
f2=@(t,y)(0.06+b(t))*y; 
% compute the numerical solution with the Euler method
[tn2,un2]=euler(f2,t0,tf,y0,Nh);
% plot the solution
figure(1); clf % selects and wipes the graphical window
plot(tn1,un1,'Linewidth',2)
grid on; hold on; % plots the grid and keep the graph
plot(tn2,un2,'Linewidth',2)
xlabel('t','Fontsize',16);
le=legend('natural dynamics',...
          'with external harvest'); % defines the legend
set(le,'Fontsize',16,'Location','Northwest')
set(gca,'Fontsize',16)
