% script exercise_dolphins3
t0=2017.5; tf=2025.5; % endpoints of the time interval
y0=100; % initial condition
h=1/12;  % defines the step h
Nh=fix((tf-t0)/h); % computes Nh
% solve the problem for the natural dynamics with external harvest
b=@(t)-0.06*(2-exp(-5*(sin(t*pi))^2)); % defines b(t)
% function f(t,y) of the natural dynamics with external harvest
f=@(t,y)(0.06+b(t))*y; 
% compute the numerical solution using the Euler method
[tn,un]=euler(f,t0,tf,y0,Nh);
% plot the solution
figure(1); clf % selects and wipes the graphical window
plot(tn,un,'Linewidth',2); grid on
xlabel('t','Fontsize',16);
le=legend('dynamics with external harvest'); % defines the legend
set(le,'Fontsize',16,'Location','Northeast')
set(gca,'Fontsize',16)
