% script finite_diff1 
% approximation of f'(t) by finite differences
f=@(t)sin(t); % defines function f(t)
tc=pi/6;      % point at which to compute the approximations
de=cos(pi/6); % exact value of derivative at tc=pi/6
% H= vector of discretisation parameters 
H=[0.1,0.05,0.01,0.005,0.001,0.0005,0.0001]; 
for h=H
    df=(f(tc+h)-f(tc))/h;  % finite difference
    fprintf('f''(tc)=%f, h=%f, df=%f \n',de,h,df)  % prints
end
