% script finite_diff3 
% approximation of f'(t) by finite differences - errors - plot
f=@(t)sin(t); tc=pi/6; de=cos(pi/6);  
% H= vector of discretisation parameters
H=[0.1,0.05,0.01,0.005,0.001,0.0005,0.0001]; 
Err=[ ]; % initialises an empty vector;
for h=H
    df=(f(tc+h)-f(tc))/h; % finite difference
    err=abs(de-df); % error
    Err=[Err, err]; % error vector
end
figure(1); clf
loglog(H,Err,'bo--',H,H,'k-'); % plots, logarithmic scale
grid on
xlabel('h','Fontsize',20); ylabel('Errors','Fontsize',20)
le=legend('|f''(t_c)-df|','h'); % defines the legend
% position of legend
set(le,'Fontsize',20,'Location','Southeast');  
set(gca,'Fontsize',20) % font for the whole picture
