function G=matrix_G(A,alpha)
% matrix_G: builds the matrix G associated with the graph
% Calling instruction: G=matrix_G(A,alpha) 
% Input: A = adjacency matrix of the graph
%       alpha = parameter to construct G
% Output: G = Google matrix of the network
N=length(A); % number of nodes in the network
L=zeros(N,1); S=zeros(N); % initialises L and S
for j=1:N
L(j)=sum(A(:,j));% L_j contains the total number of links 
                 % from node j
end
% build S
for j=1:N
if L(j)~=0              % if j is not a dangling node
    S(:,j)=A(:,j)/L(j); % assignment of s_ij
else                    % otherwise if j is a dangling node
    S(:,j)=1/N;         % assignment of s_ij 
end
end
% build G
G=alpha*S+(1-alpha)/N;
