function [p]=pressures(G,pa,pv)
% pressures: computes the pressures in a capillary bed
% Calling instruction: [p]=pressures(G,pa,pv) 
% Input:  G = matrix of the graph
%         pa, pv = pressures in the arteriole and venule 
% Output: p = vector of pressures at the nodes of the bed

% Build the matrix A ...
n=length(G); A=zeros(n); A(1,1)=1; A(n,n)=1;
for i=2:n-1
    for j=1:n
        if G(i,j)~=0
        A(i,j)=-1/G(i,j); 
        A(i,i)=A(i,i)+1/G(i,j);
        end
    end
end
b=zeros(n,1);  % ... and the right-hand-side term
b(1)=pa; b(n)=pv; 
p=A\b; % solves the linear system by GEM
for i=1:n  % prints the pressures
fprintf('The pressure at node %d equals %8.4f mmHg\n',i,p(i))
end

